> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Taints Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json put /api/v1/clusters/digitalocean/{cluster_id}/node-groups/{group_name}/taints
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/clusters/digitalocean/{cluster_id}/node-groups/{group_name}/taints:
    put:
      tags:
        - DigitalOcean Cluster API
      summary: Update Taints Endpoint
      operationId: >-
        update_taints_endpoint_api_v1_clusters_digitalocean__cluster_id__node_groups__group_name__taints_put
      parameters:
        - in: path
          name: cluster_id
          required: true
          schema:
            format: uuid
            title: Cluster Id
            type: string
        - in: path
          name: group_name
          required: true
          schema:
            title: Group Name
            type: string
        - in: query
          name: wait
          required: false
          schema:
            default: false
            title: Wait
            type: boolean
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateTaintsRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/UpdateNodeGroupResult'
                  - $ref: '#/components/schemas/AsyncWriteAcceptedResponse'
                title: >-
                  Response Update Taints Endpoint Api V1 Clusters Digitalocean 
                  Cluster Id  Node Groups  Group Name  Taints Put
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    UpdateTaintsRequest:
      properties:
        taints:
          items:
            $ref: '#/components/schemas/NodeTaint'
          title: Taints
          type: array
      required:
        - taints
      title: UpdateTaintsRequest
      type: object
    UpdateNodeGroupResult:
      properties:
        group_name:
          title: Group Name
          type: string
        updated:
          title: Updated
          type: integer
      required:
        - group_name
        - updated
      title: UpdateNodeGroupResult
      type: object
    AsyncWriteAcceptedResponse:
      properties:
        status:
          default: accepted
          title: Status
          type: string
      title: AsyncWriteAcceptedResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    NodeTaint:
      properties:
        effect:
          enum:
            - NoSchedule
            - PreferNoSchedule
            - NoExecute
          title: Effect
          type: string
        key:
          title: Key
          type: string
        value:
          default: ''
          title: Value
          type: string
      required:
        - key
        - effect
      title: NodeTaint
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````